# DataExchange
TKXSBase
IFSelect

# IFSelect_Functions Class Reference

Functions gives access to all the actions which can be
commanded with the resources provided by IFSelect : especially
WorkSession and various types of Selections and Dispatches
It works by adding functions by method Init
.

`#include <IFSelect_Functions.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT Handle_Standard_Transient | GiveEntity (const Handle(IFSelect_WorkSession)&WS, const Standard_CString name="")
| Takes the name of an entity, either as argument, or (if <name> is empty) on keybord, and returns the entity name can be a label or a number (in alphanumeric), it is searched by NumberFromLabel from WorkSession. If <name> doesn't match en entity, a Null Handle is returned .
static Standard_EXPORT Standard_Integer | GiveEntityNumber (const Handle(IFSelect_WorkSession)&WS, const Standard_CString name="")
| Same as GetEntity, but returns the number in the model of the entity. Returns 0 for null handle .
static Standard_EXPORT Handle_TColStd_HSequenceOfTransient | GiveList (const Handle(IFSelect_WorkSession)&WS, const Standard_CString first="", const Standard_CString second="")

Computes a List of entities from a WorkSession and two idents,
first and second, as follows :
if <first> is a Number or Label of an entity : this entity
if <first> is the name of a Selection in <ws>, and <second>
not defined, the standard result of this Selection
if <first> is for a Selection and <second> is defined, the
standard result of this selection from the list computed
with <second> (an entity or a selection)
If <second> is erroneous, it is ignored
.

static Standard_EXPORT Handle_IFSelect_Dispatch | GiveDispatch (const Handle(IFSelect_WorkSession)&WS, const Standard_CString name, const Standard_Boolean mode=Standard_True)
| Evaluates and returns a Dispatch, from data of a WorkSession if <mode> is False, searches for exact name of Dispatch in WS Else (D), allows a parameter between brackets : ex.: dispatch_name(parameter) The parameter can be: an integer for DispPerCount or DispPerFiles or the name of a Signature for DispPerSignature Returns Null Handle if not found not well evaluated .
static Standard_EXPORT void | Init ()
| Defines and loads all basic functions (as ActFunc) .

## Member Function Documentation

static Standard_EXPORT Handle_IFSelect_Dispatch IFSelect_Functions::GiveDispatch | ( | const Handle(IFSelect_WorkSession)& | WS,
|  | const Standard_CString | name,
|  | const Standard_Boolean | mode = `Standard_True`
| ) | `[static]`

static Standard_EXPORT Handle_Standard_Transient IFSelect_Functions::GiveEntity | ( | const Handle(IFSelect_WorkSession)& | WS,
|  | const Standard_CString | name = `""`
| ) | `[static]`

static Standard_EXPORT Standard_Integer IFSelect_Functions::GiveEntityNumber | ( | const Handle(IFSelect_WorkSession)& | WS,
|  | const Standard_CString | name = `""`
| ) | `[static]`

static Standard_EXPORT Handle_TColStd_HSequenceOfTransient IFSelect_Functions::GiveList | ( | const Handle(IFSelect_WorkSession)& | WS,
|  | const Standard_CString | first = `""`,
|  | const Standard_CString | second = `""`
| ) | `[static]`

static Standard_EXPORT void IFSelect_Functions::Init | ( |  | ) | `[static]`

void IFSelect_Functions::operator delete | ( | void * | anAddress | ) | `[inline]`

void* IFSelect_Functions::operator new | ( | size_t | size | ) | `[inline]`

void* IFSelect_Functions::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- IFSelect_Functions.hxx